Bug 68969 - ppp-watch does not work when pppd's pty config parameter is used
Summary: ppp-watch does not work when pppd's pty config parameter is used
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-16 16:17 UTC by Jos Vos
Modified: 2014-03-17 02:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 20:06:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jos Vos 2002-07-16 16:17:56 UTC
When the pppd config parameter "pty" is used to launch an external program (like
pptp or pppoe), ppp-watch, and thus ifup-ppp, never stops, although the
connection is established fine.  I'ld like to be able to use the standard RH
scripts to also manage these connections. 

I know that RH does not include PPTP (and thus will not support it) and that
PPPoE is supported in another way (using the adsl-* scripts), but I still would
like to know why this doesn't work and if there maybe is a workaround.

In relation to this problem, I'll also post a RFE to support a parameter
NOPPPWATCH or so, that disables the use of ppp-watch and uses pppd's "updetach"
option (I'm using patched versions of ifup-ppp and ifdown-ppp right now and this
works fine, and the patches are very small.

Comment 1 Bill Nottingham 2005-09-29 20:06:57 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.